Skip to main content
`Ctrl`+`K`

# DSPEPGetCoefficients

Returns the polynomial basis coefficients for a `DSPEP`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSPEPGetCoefficients(DS ds,PetscReal *pbc[]) PeNS

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- pbc - the polynomial basis coefficients

## Note

The returned array has length \(3(d+1)\), where \(d\) is the degree of the polynomial, and should be freed by the user.

## Fortran Notes

In Fortran the user must provide in argument `pbc` a sufficiently large array.

## See Also

DS: Direct Solver (or Dense System), `DSPEP`, `DSPEPSetCoefficients()`

## Level

advanced

## Location

src/sys/classes/ds/impls/pep/dspep.c

## Implementations

DSPEPGetCoefficients_PEP() in src/sys/classes/ds/impls/pep/dspep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages